Package com.rosivanyshyn.exeption

# Class Message

java.lang.Object
com.rosivanyshyn.exeption.Message

public class Message extends Object
Exceptions messages constants.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCOUNT_DETAILS_ERROR`
  `static final String`
  `ACCOUNT_ISNT_EXIST`
  `static final String`
  `ACCOUNT_LOGIN_ERROR`
  `static final String`
  `ACCOUNT_LOGOUT_ERROR`
  `static final String`
  `ACCOUNT_REGISTRATION_ERROR`
  `static final String`
  `ACCOUNT_UPDATE_ERROR`
  `static final String`
  `APARTMENT_DELETE_ERROR`
  `static final String`
  `APARTMENT_GET_DETAILS_ERROR`
  `static final String`
  `APARTMENTS_GET_ERROR`
  `static final String`
  `BOOKING_ALREADY_EXIST_ON_THIS_DATE`
  `static final String`
  `BOOKING_CREATE_ERROR`
  `static final String`
  `BOOKING_DELETE_ERROR`
  `static final String`
  `BOOKING_GET_CREATE_PAGE_ERROR`
  `static final String`
  `BOOKING_PAYMENT_ERROR`
  `static final String`
  `BOOKINGS_GET_ALL_ERROR`
  `static final String`
  `BOOKINGS_GET_ERROR`
  `static final String`
  `COUNT_ROWS_ERROR`
  `static final String`
  `DELETE_ERROR`
  `static final String`
  `EVENT_IS_BILL_PAID_ERROR`
  `static final String`
  `INCORRECT_ACCOUNT_EMAIL`
  `static final String`
  `INCORRECT_ACCOUNT_FIRST_NAME`
  `static final String`
  `INCORRECT_ACCOUNT_LAST_NAME`
  `static final String`
  `INCORRECT_ACCOUNT_PASSWORD`
  `static final String`
  `INCORRECT_ACCOUNT_ROLE`
  `static final String`
  `INCORRECT_APARTMENT_ADDRESS`
  `static final String`
  `INCORRECT_APARTMENT_CLASS`
  `static final String`
  `INCORRECT_APARTMENT_IMAGE`
  `static final String`
  `INCORRECT_APARTMENT_MAX_GUESTS_NUMBER`
  `static final String`
  `INCORRECT_APARTMENT_PRICE`
  `static final String`
  `INCORRECT_APARTMENT_ROOMS_NUMBER`
  `static final String`
  `INCORRECT_APARTMENT_TITLE`
  `static final String`
  `INCORRECT_BOOKING_DATE`
  `static final String`
  `INCORRECT_DESCRIPTION`
  `static final String`
  `INCORRECT_GUESTS_NUMBER`
  `static final String`
  `INCORRECT_SORTING_ORDER`
  `static final String`
  `INSERT_ERROR`
  `static final String`
  `LANGUAGE_CHANGE_ERROR`
  `static final String`
  `MANY_TO_MANY_ERROR`
  `static final String`
  `ORDER_CREATE_ERROR`
  `static final String`
  `ORDER_DELETE_ERROR`
  `static final String`
  `ORDER_GET_CREATE_PAGE_ERROR`
  `static final String`
  `ORDERS_GET_ALL_ERROR`
  `static final String`
  `ORDERS_GET_ERROR`
  `static final String`
  `RESPONSE_TO_ORDER_CREATE_ERROR`
  `static final String`
  `RESPONSE_TO_ORDER_GET_CREATE_PAGE_ERROR`
  `static final String`
  `RESPONSE_TO_ORDER_GET_ERROR`
  `static final String`
  `SEARCH_ERROR`
  `static final String`
  `SELECT_ALL_ERROR`
  `static final String`
  `SELECT_BY_FIELD_ERROR`
  `static final String`
  `SELECT_DYNAMIC_ERROR`
  `static final String`
  `SELECT_ERROR`
  `static final String`
  `SELECT_FEW_ERROR`
  `static final String`
  `UPDATE_ERROR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Message()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSERT_ERROR

    public static final String INSERT_ERROR
    See Also:
      - Constant Field Values

  - ### SELECT_ERROR

    public static final String SELECT_ERROR
    See Also:
      - Constant Field Values

  - ### SELECT_ALL_ERROR

    public static final String SELECT_ALL_ERROR
    See Also:
      - Constant Field Values

  - ### SELECT_FEW_ERROR

    public static final String SELECT_FEW_ERROR
    See Also:
      - Constant Field Values

  - ### SELECT_BY_FIELD_ERROR

    public static final String SELECT_BY_FIELD_ERROR
    See Also:
      - Constant Field Values

  - ### SELECT_DYNAMIC_ERROR

    public static final String SELECT_DYNAMIC_ERROR
    See Also:
      - Constant Field Values

  - ### SEARCH_ERROR

    public static final String SEARCH_ERROR
    See Also:
      - Constant Field Values

  - ### UPDATE_ERROR

    public static final String UPDATE_ERROR
    See Also:
      - Constant Field Values

  - ### DELETE_ERROR

    public static final String DELETE_ERROR
    See Also:
      - Constant Field Values

  - ### COUNT_ROWS_ERROR

    public static final String COUNT_ROWS_ERROR
    See Also:
      - Constant Field Values

  - ### MANY_TO_MANY_ERROR

    public static final String MANY_TO_MANY_ERROR
    See Also:
      - Constant Field Values

  - ### EVENT_IS_BILL_PAID_ERROR

    public static final String EVENT_IS_BILL_PAID_ERROR
    See Also:
      - Constant Field Values

  - ### ACCOUNT_LOGIN_ERROR

    public static final String ACCOUNT_LOGIN_ERROR
    See Also:
      - Constant Field Values

  - ### ACCOUNT_LOGOUT_ERROR

    public static final String ACCOUNT_LOGOUT_ERROR
    See Also:
      - Constant Field Values

  - ### ACCOUNT_REGISTRATION_ERROR

    public static final String ACCOUNT_REGISTRATION_ERROR
    See Also:
      - Constant Field Values

  - ### ACCOUNT_DETAILS_ERROR

    public static final String ACCOUNT_DETAILS_ERROR
    See Also:
      - Constant Field Values

  - ### ACCOUNT_UPDATE_ERROR

    public static final String ACCOUNT_UPDATE_ERROR
    See Also:
      - Constant Field Values

  - ### APARTMENT_DELETE_ERROR

    public static final String APARTMENT_DELETE_ERROR
    See Also:
      - Constant Field Values

  - ### APARTMENT_GET_DETAILS_ERROR

    public static final String APARTMENT_GET_DETAILS_ERROR
    See Also:
      - Constant Field Values

  - ### APARTMENTS_GET_ERROR

    public static final String APARTMENTS_GET_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKING_CREATE_ERROR

    public static final String BOOKING_CREATE_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKING_DELETE_ERROR

    public static final String BOOKING_DELETE_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKINGS_GET_ALL_ERROR

    public static final String BOOKINGS_GET_ALL_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKING_GET_CREATE_PAGE_ERROR

    public static final String BOOKING_GET_CREATE_PAGE_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKINGS_GET_ERROR

    public static final String BOOKINGS_GET_ERROR
    See Also:
      - Constant Field Values

  - ### BOOKING_PAYMENT_ERROR

    public static final String BOOKING_PAYMENT_ERROR
    See Also:
      - Constant Field Values

  - ### ORDER_CREATE_ERROR

    public static final String ORDER_CREATE_ERROR
    See Also:
      - Constant Field Values

  - ### ORDER_DELETE_ERROR

    public static final String ORDER_DELETE_ERROR
    See Also:
      - Constant Field Values

  - ### ORDERS_GET_ALL_ERROR

    public static final String ORDERS_GET_ALL_ERROR
    See Also:
      - Constant Field Values

  - ### ORDER_GET_CREATE_PAGE_ERROR

    public static final String ORDER_GET_CREATE_PAGE_ERROR
    See Also:
      - Constant Field Values

  - ### ORDERS_GET_ERROR

    public static final String ORDERS_GET_ERROR
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_CREATE_ERROR

    public static final String RESPONSE_TO_ORDER_CREATE_ERROR
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_GET_CREATE_PAGE_ERROR

    public static final String RESPONSE_TO_ORDER_GET_CREATE_PAGE_ERROR
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_GET_ERROR

    public static final String RESPONSE_TO_ORDER_GET_ERROR
    See Also:
      - Constant Field Values

  - ### LANGUAGE_CHANGE_ERROR

    public static final String LANGUAGE_CHANGE_ERROR
    See Also:
      - Constant Field Values

  - ### INCORRECT_ACCOUNT_ROLE

    public static final String INCORRECT_ACCOUNT_ROLE
    See Also:
      - Constant Field Values

  - ### INCORRECT_ACCOUNT_FIRST_NAME

    public static final String INCORRECT_ACCOUNT_FIRST_NAME
    See Also:
      - Constant Field Values

  - ### INCORRECT_ACCOUNT_LAST_NAME

    public static final String INCORRECT_ACCOUNT_LAST_NAME
    See Also:
      - Constant Field Values

  - ### INCORRECT_ACCOUNT_EMAIL

    public static final String INCORRECT_ACCOUNT_EMAIL
    See Also:
      - Constant Field Values

  - ### INCORRECT_ACCOUNT_PASSWORD

    public static final String INCORRECT_ACCOUNT_PASSWORD
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_TITLE

    public static final String INCORRECT_APARTMENT_TITLE
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_IMAGE

    public static final String INCORRECT_APARTMENT_IMAGE
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_ADDRESS

    public static final String INCORRECT_APARTMENT_ADDRESS
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_MAX_GUESTS_NUMBER

    public static final String INCORRECT_APARTMENT_MAX_GUESTS_NUMBER
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_PRICE

    public static final String INCORRECT_APARTMENT_PRICE
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_ROOMS_NUMBER

    public static final String INCORRECT_APARTMENT_ROOMS_NUMBER
    See Also:
      - Constant Field Values

  - ### INCORRECT_APARTMENT_CLASS

    public static final String INCORRECT_APARTMENT_CLASS
    See Also:
      - Constant Field Values

  - ### INCORRECT_BOOKING_DATE

    public static final String INCORRECT_BOOKING_DATE
    See Also:
      - Constant Field Values

  - ### BOOKING_ALREADY_EXIST_ON_THIS_DATE

    public static final String BOOKING_ALREADY_EXIST_ON_THIS_DATE
    See Also:
      - Constant Field Values

  - ### INCORRECT_GUESTS_NUMBER

    public static final String INCORRECT_GUESTS_NUMBER
    See Also:
      - Constant Field Values

  - ### INCORRECT_DESCRIPTION

    public static final String INCORRECT_DESCRIPTION
    See Also:
      - Constant Field Values

  - ### INCORRECT_SORTING_ORDER

    public static final String INCORRECT_SORTING_ORDER
    See Also:
      - Constant Field Values

  - ### ACCOUNT_ISNT_EXIST

    public static final String ACCOUNT_ISNT_EXIST
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Message

    public Message()